#!/bin/sh

set -x

# Creating a working dir to extract the dota
# Example
#├── etc
#│   └── sysconfig
#│       └── network
#├── mnt
#│   ├── fsuser-1
#│   │   └── mydir
#│   │   │   └── app.bin

# Creating a working dir to extract the dota
# ADAPT THE LIST HERE
mkdir -p $TMP_DIR/dotaworkingdir/etc/sysconfig/
mkdir -p $TMP_DIR/dotaworkingdir/mnt/fsuser-1/mydir/

# Copy the file to backup into
# ADAPT THE LIST HERE
cp ./etc/sysconfig/network $TMP_DIR/dotaworkingdir/etc/sysconfig/
cp ./mnt/fsuser-1/mydir/app.bin $TMP_DIR/dotaworkingdir/mnt/fsuser-1/mydir/
#
# Modifying rescue image
#
mount $RESCUEFS_PART $MOUNT_POINT_RESCUEFS

# By default, try to modify rescuefs overload (produsb)
if [ -e $MOUNT_POINT_RESCUEFS/$FS_RESCUE_UPDATE ]
then
	mkdir -p $TMP_DIR/workdir
	cd $TMP_DIR/workdir
	# uncompress all
	tar xzf $MOUNT_POINT_RESCUEFS/$FS_RESCUE_UPDATE
	# override previous version of the files
	cp -fR $TMP_DIR/dotaworkingdir/* $TMP_DIR/workdir/
	# Recompress it
	tar czf $MOUNT_POINT_RESCUEFS/$FS_RESCUE_UPDATE *

else

	# Create overload with the new can init script
	# ADAPT THE LIST HERE
	tar czf $MOUNT_POINT_RESCUEFS/$FS_RESCUE_UPDATE \
		./etc/sysconfig/network \
		./mnt/fsuser-1/mydir/app.bin
fi
cd /
sync

umount $MOUNT_POINT_RESCUEFS

set +x
